| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_ancs_c_t Struct Reference
Apple Notification Service client

iOS notification structure, which contains various status information for the client. More...

`#include <ble_ancs_c.h>`

## Data Fields
ble_ancs_c_evt_handler_t | evt_handler
ble_srv_error_handler_t | error_handler
uint16_t | conn_handle
ble_ancs_c_service_t | service
ble_ancs_c_attr_list_t | ancs_attr_list [8]
uint32_t | number_of_requested_attr
uint32_t | expected_number_of_attrs
ble_ancs_c_parse_state_t | parse_state
uint8_t * | p_data_dest
uint16_t | current_attr_index
ble_ancs_c_evt_t | evt

## Detailed Description

iOS notification structure, which contains various status information for the client.

## Field Documentation

ble_ancs_c_attr_list_t ble_ancs_c_t::ancs_attr_list[8]

For all attributes; contains whether they should be requested upon attribute request and the length and buffer of where to store attribute data.

uint16_t ble_ancs_c_t::conn_handle

Handle of the current connection. Set with ble_ancs_c_handles_assign when connected.

uint16_t ble_ancs_c_t::current_attr_index

Variable to keep track of how much (for a given attribute) we are done parsing.

ble_srv_error_handler_t ble_ancs_c_t::error_handler

Function to be called in case of an error.

ble_ancs_c_evt_t ble_ancs_c_t::evt

The event is filled with several iteration of the parse_get_notif_attrs_response function when requesting iOS notification attributes. So we must allocate memory for it here.

ble_ancs_c_evt_handler_t ble_ancs_c_t::evt_handler

Event handler to be called for handling events in the Apple Notification client application.

uint32_t ble_ancs_c_t::expected_number_of_attrs

The number of attributes expected upon receiving attributes. Keeps track of when to stop reading incoming attributes.

uint32_t ble_ancs_c_t::number_of_requested_attr

The number of attributes that will be requested upon a iOS notification attribute request is made.

uint8_t* ble_ancs_c_t::p_data_dest

Attribute that the parsed data will be copied into.

ble_ancs_c_parse_state_t ble_ancs_c_t::parse_state

ANCS notification attribute parsing state.

ble_ancs_c_service_t ble_ancs_c_t::service

Struct to store the different handles and UUIDs related to the service.